#include "vars.h"


namespace Ezc
{


void Vars::Insert(const std::wstring & name, VariableType type, const std::wstring & value)
{
Variable variable;

	variable.type = type;
	variable.val  = value;

	vars_tab[name] = variable;
}


Vars::Iterator Vars::Find(const std::wstring & name)
{
	return vars_tab.find(name);
}


Vars::Iterator Vars::Begin()
{
	return vars_tab.begin();
}


Vars::Iterator Vars::End()
{
	return vars_tab.end();
}


size_t Vars::Size()
{
	return vars_tab.size();
}


} // namespace
