#include "blocks.h"


namespace Ezc
{


void Blocks::Insert(const std::wstring & name, const Item & item)
{
	blocks_tab[name] = item;
}


Blocks::Iterator Blocks::Find(const std::wstring & name)
{
	return blocks_tab.find(name);
}


Blocks::Iterator Blocks::Begin()
{
	return blocks_tab.begin();
}


Blocks::Iterator Blocks::End()
{
	return blocks_tab.end();
}


size_t Blocks::Size()
{
	return blocks_tab.size();
}


} // namespace
